#ifndef __KALUGA__BSO__HEADER__
#define __KALUGA__BSO__HEADER__

#include "pch.h"
#include "FTNStruc.hpp"

#ifndef MAX_PATH
#define MAX_PATH 260
#endif

class CBSOManager {
public:
	CBSOManager();
	~CBSOManager();

	void	SetAddress(SFTNAddress &Addr);
	int	SetBusyFlag();
	int	ClearBusyFlag();
	bool	IsBusyFlagExist();

	inline LPTSTR GetName() const    { return ((LPTSTR)m_szName); }
	inline LPTSTR GetNameExt() const { return ((LPTSTR)(m_szName + m_iNameLen)); }
	inline int    GetNameLen() const { return (m_iNameLen); }
private:
    TCHAR	m_szBaseDir[MAX_PATH];
    TCHAR	m_szDefaultDomainDir[MAX_PATH];
    int		m_iNumberOfBaseDirNames;
    TCHAR	m_szName[MAX_PATH];
    int		m_iNameLen;
};

#endif