#include "pch.h"

#include "FTNStruc.hpp"
#include "CfgParse.hpp"
#include "Links.hpp"

CLinks::CLinks() {
	m_itLink = m_vLinks.begin();
}

CLinks::~CLinks() {
}

bool CLinks::Select(const SFTNAddress &selAddr) {
	for (m_itLink = m_vLinks.begin(); m_itLink != m_vLinks.end(); m_itLink++) {
		if (AddrCmp( selAddr, (*m_itLink).m_addr ) == 0)
			return (true);
	}
	return (false);
}

void CLinks::Add(SLink link) {
	m_vLinks.push_back( link );
}

bool CLinks::SelectFirst() {
	m_itLink = m_vLinks.begin();
	return (m_itLink != m_vLinks.end());
}

bool CLinks::SelectNext() {
	m_itLink++;
	return (m_itLink != m_vLinks.end());
}
